Клуб API Карт

API Яндекс.Карт версия 2.1.34

Arina
7 декабря 2015, 17:50

Сегодня мы опубликовали новую версию API Яндекс.Карт 2.1.34.
Она доступна по адресу api-maps.yandex.ru/2.1.34/?lang=ru_RU. Так же мы переключили на новую версию и api-maps.yandex.ru/2.1-dev/?lang=ru_RU.

 

Исправлено:

- Некорректная работа с RequireJS подобными системами

Команда разработчиков API Яндекс.Карт
4 комментария
Подписаться на комментарии к посту

После обновления отвалилось приложение, в котором строго зашита CSP для яндекс карт через HTTPS.

 

Было подключено:

   

Отрывок CSP:    https://*.yandex.ru https://www.google-analytics.com;      connect-src 'self' ws: https://*.yandex.ru;      media-src *;      img-src 'self' data: https://*.maps.yandex.net https://*.yandex.ru;    ">После обновления вываливается     http://i.imgur.com/jiUoYo0.pngПосле переключения на 2.1.30 все обратно завелось:

   

Что делать, если мы не хотим загружать внешние скрипты не через https?

Вообще говоря, скрипты подключаются по тому же протоколу, по которому подключена сама страница. Защищаться на уровне CSP от http-скриптов, не имея собственного https, бессмысленно.

Но мы посмотрим, что можно сделать, спасибо за сообщение.

На данный момент собственный https в планах.